'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

exports.default = function (app) {
    app.defaultProps = {
        prefixClassName: 'face-checkbox',
        themes: '',
        onChange: function onChange(event) {},
        checked: false,
        name: '',
        value: '',
        disabled: false,
        // type: radio https://github.com/onface/radio.react
        type: 'checkbox',
        children: null
    };
    app.propTypes = {
        prefixClassName: _propTypes2.default.string,
        themes: _propTypes2.default.string,
        onChange: _propTypes2.default.func,
        checked: _propTypes2.default.bool,
        name: _propTypes2.default.string,
        value: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.number]),
        disabled: _propTypes2.default.bool,
        type: _propTypes2.default.string,
        children: _propTypes2.default.oneOfType([_propTypes2.default.element, _propTypes2.default.string, _propTypes2.default.number, _propTypes2.default.node])
    };
};

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }