'use strict';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var React = require('react');
var Checkbox = require('checkbox.react');

var Partial = function (_React$Component) {
    _inherits(Partial, _React$Component);

    function Partial(props) {
        _classCallCheck(this, Partial);

        var _this = _possibleConstructorReturn(this, (Partial.__proto__ || Object.getPrototypeOf(Partial)).call(this, props));

        _this.state = {
            basicChecked: true,
            basicFlaseChecked: false,
            disabledChecked: true,
            disabledFalseChecked: false
        };
        return _this;
    }

    _createClass(Partial, [{
        key: 'render',
        value: function render() {
            var self = this;
            return require("react").createElement(
                'div',
                { className: 'basicDemo' },
                require("react").createElement(
                    Checkbox,
                    {
                        themes: 'partial',
                        checked: self.state.basicChecked,
                        onChange: function onChange(e) {
                            self.setState({
                                basicChecked: e.target.checked
                            });
                        }
                    },
                    'checkbox'
                ),
                require("react").createElement('hr', null),
                require("react").createElement(
                    Checkbox,
                    {
                        themes: 'partial',
                        checked: self.state.basicFalseChecked,
                        onChange: function onChange(e) {
                            self.setState({
                                basicFalseChecked: e.target.checked
                            });
                        }
                    },
                    'checkbox'
                ),
                require("react").createElement('hr', null),
                require("react").createElement(
                    Checkbox,
                    {
                        themes: 'partial',
                        checked: self.state.disabledChecked,
                        disabled: true,
                        onChange: function onChange(e) {
                            self.setState({
                                disabledChecked: e.target.checked
                            });
                        }
                    },
                    'disabled | checked:true'
                ),
                require("react").createElement('hr', null),
                require("react").createElement(
                    Checkbox,
                    {
                        themes: 'partial',
                        checked: self.state.disabledFalseChecked,
                        disabled: true,
                        onChange: function onChange(e) {
                            self.setState({
                                disabledChecked: e.target.checked
                            });
                        }
                    },
                    'disabled | checked: false'
                )
            );
        }
    }]);

    return Partial;
}(React.Component);
/*ONFACE-DEL*/

Partial = require("react-hot-loader").hot(module)(Partial);
module.exports = Partial;