'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('./themes.demo.less');

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var React = require('react');
var Checkbox = require('checkbox.react');

// 引入复制后修改样式

var MyCheckbox = function (_React$Component) {
    _inherits(MyCheckbox, _React$Component);

    function MyCheckbox() {
        _classCallCheck(this, MyCheckbox);

        return _possibleConstructorReturn(this, (MyCheckbox.__proto__ || Object.getPrototypeOf(MyCheckbox)).apply(this, arguments));
    }

    _createClass(MyCheckbox, [{
        key: 'render',
        value: function render() {
            return require("react").createElement(Checkbox, _extends({ themes: 'red' }, this.props));
        }
    }]);

    return MyCheckbox;
}(React.Component);

var Themes = function (_React$Component2) {
    _inherits(Themes, _React$Component2);

    function Themes(props) {
        _classCallCheck(this, Themes);

        var _this2 = _possibleConstructorReturn(this, (Themes.__proto__ || Object.getPrototypeOf(Themes)).call(this, props));

        _this2.state = {
            basicChecked: true,
            basicFlaseChecked: false,
            disabledChecked: true,
            disabledFalseChecked: false
        };
        return _this2;
    }

    _createClass(Themes, [{
        key: 'render',
        value: function render() {
            var self = this;
            return require("react").createElement(
                'div',
                { className: 'themesDemo' },
                require("react").createElement(
                    MyCheckbox,
                    { checked: self.state.basicChecked, onChange: function onChange(e) {
                            self.setState({
                                basicChecked: e.target.checked
                            });
                        } },
                    'checkbox'
                ),
                require("react").createElement('hr', null),
                require("react").createElement(
                    MyCheckbox,
                    { checked: self.state.basicFalseChecked, onChange: function onChange(e) {
                            self.setState({
                                basicFalseChecked: e.target.checked
                            });
                        } },
                    'checkbox'
                ),
                require("react").createElement('hr', null),
                require("react").createElement(
                    MyCheckbox,
                    { checked: self.state.disabledChecked, disabled: true, onChange: function onChange(e) {
                            self.setState({
                                disabledChecked: e.target.checked
                            });
                        } },
                    'disabled | checked:true'
                ),
                require("react").createElement('hr', null),
                require("react").createElement(
                    MyCheckbox,
                    { checked: self.state.disabledFalseChecked, disabled: true, onChange: function onChange(e) {
                            self.setState({
                                disabledChecked: e.target.checked
                            });
                        } },
                    'disabled | checked: false'
                )
            );
        }
    }]);

    return Themes;
}(React.Component);
/*ONFACE-DEL*/

Themes = require("react-hot-loader").hot(module)(Themes);
module.exports = Themes;